> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# List all accounting codes

GET https://rest.test.zuora.com/v1/accounting-codes

This reference describes how to query all accounting codes in your chart of accounts through the REST API.

Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/finance/accounting-codes/get-all-accounting-codes

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Query parameters

- `page` (integer, optional, default: 1) — The index number of the page that you want to retrieve. This parameter is dependent on `pageSize`. You must set `pageSize` before specifying `page`. For example, if you set `pageSize` to `20` and `page` to `2`, the 21st to 40th records are returned in the response.
- `pageSize` (integer, optional, default: 300) — The number of records returned per page in the response.

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Version` (string, optional) — The minor API version. For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

## Response

### 200

OK

- `accountingCodes` (list of GETAccountingCodeItemWithoutSuccessType, optional) — An array of all the accounting codes in your chart of accounts. Each accounting code has the following fields.
- `nextPage` (string, optional) — URL to retrieve the next page of the response if it exists; otherwise absent.
- `success` (boolean, optional) — Returns `true` if the request was processed successfully.

## Errors

### 500 Internal Server Error

Internal Server Error

- `reasons` (list of ErrorResponseReasonsItems, optional)

### 400 Client Request Error

Request Errors

- `processId` (string, optional) — The ID of the process that handles the operation.
- `reasons` (list of CommonResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (string, optional) — Unique identifier of the request.
- `success` (boolean, optional) — Indicates whether the call succeeded.

## Types

### GETAccountingCodeItemWithoutSuccessType

Container for custom fields of an Accounting Code object.

- `category` (enum, optional) — The category associated with the accounting code.
  - Allowed values: `Assets`, `Liabilities`, `Equity`, `Revenue`, `Expenses`
- `createdBy` (string, optional) — The ID of the user who created the accounting code.
- `createdOn` (string, optional) — Date and time when the accounting code was created.
- `glAccountName` (string, optional) — Name of the account in your general ledger. Field only available if you have Zuora Finance enabled.
- `glAccountNumber` (string, optional) — Account number in your general ledger. Field only available if you have Zuora Finance enabled.
- `id` (string, optional) — ID of the accounting code.
- `name` (string, optional) — Name of the accounting code.
- `notes` (string, optional) — Any optional notes for the accounting code.
- `status` (enum, optional) — The accounting code status.
  - Allowed values: `Active`, `Inactive`
- `type` (enum, optional) — Accounting code type. Note that `OnAccountReceivable` is only available if you enable the Invoice Settlement feature.
  - Allowed values: `AccountsReceivable`, `OnAccountReceivable`, `Cash`, `OtherAssets`, `CustomerCashOnAccount`, `DeferredRevenue`, `SalesTaxPayable`, `OtherLiabilities`, `SalesRevenue`, `SalesDiscounts`, `OtherRevenue`, `OtherEquity`, `BadDebt`, `OtherExpenses`
- `updatedBy` (string, optional) — The ID of the user who last updated the accounting code.
- `updatedOn` (string, optional) — Date and time when the accounting code was last updated.
- `segmentConstantValues` (SegmentConstantValuesCustomFields, optional) — Segment constant values. The field is available only if you have GL Segmentation 2.0 enabled. This field is additional property.

### ErrorResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### CommonResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### SegmentConstantValuesCustomFields

Segment constant values. The field is available only if you have GL Segmentation 2.0 enabled. This field is additional property.

## Examples

**Response**

```json
{
  "accountingCodes": [
    {
      "category": "Assets",
      "createdBy": "e20b074746ec48f40147140f51e30a1a",
      "createdOn": "2014-07-29 02:20:20",
      "glAccountName": null,
      "glAccountNumber": null,
      "id": "e20b0747478025a10147816ba1c20097",
      "name": "Accounts Receivable",
      "notes": null,
      "status": "Active",
      "type": "AccountsReceivable",
      "updatedBy": "e20b074746ec48f40147140f51e30a1a",
      "updatedOn": "2014-07-29 02:20:20"
    },
    {
      "category": "Revenue",
      "createdBy": "e20b074746ec48f40147140f51e30a1a",
      "createdOn": "2014-07-29 02:20:20",
      "glAccountName": null,
      "glAccountNumber": null,
      "id": "e20b0747478025a10147816ba21900a0",
      "name": "Discounts",
      "notes": null,
      "status": "Inactive",
      "type": "SalesDiscounts",
      "updatedBy": "e20b074746ec48f40147140f51e30a1a",
      "updatedOn": "2014-09-27 22:11:07"
    }
  ],
  "success": true
}
```

**SDK Code**

```python response
import requests

url = "https://rest.test.zuora.com/v1/accounting-codes"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript response
const url = 'https://rest.test.zuora.com/v1/accounting-codes';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/v1/accounting-codes"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/v1/accounting-codes")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/v1/accounting-codes")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/v1/accounting-codes', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp response
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/v1/accounting-codes");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/v1/accounting-codes")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```